Subject: Re: gcc

From: Philip Blundell <[email-masked]>
Date: Mon, 01 Dec 1997 14:00:27 +0000

>/usr/local/arm-linuxaout/include/asm.  This isn't explicitly stated -
>and I'm not sure that it's really necessary since the SWI numbers are
>unlikely to change - indeed, they can't without breaking every binary,
>and library, on the system.

Actually, that's not quite true.  It's possible to replace the current 
syscalls with new ones and retain the old numbers as compatibility wrappers.  
In that case we'd want newly-compiled code to use the shiny new syscalls 
rather than the old ones.

Now, if you _really_ want to live life on the edge, get the latest glibc 2.1 
snapshot from ftp.kernel.org:/pub/linux/libs/glibc, compile that for 
arm-linuxaout with your new gcc, and see if you can actually build some 
working executables with it.  Again, I'd like to know how you get on if 
anybody tries this.

p.